package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.Channel;
import com.zhiwei.manage.bean.ServerBean;

/**
 * 库名等信息的获取
 * 
 * @author admin
 *
 */
public interface ServerDao {

	/**
	 * 插入
	 * 
	 * @param serverBean
	 */
	public void insert(ServerBean serverBean);

	/**
	 * 分页获取库表信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param dbName
	 * @return
	 */
	public List<ServerBean> findDb(int pageNo, int pageSize, String dbName);

	/**
	 * 更新库表信息
	 * 
	 * @param serverBean
	 * @return
	 */
	public boolean update(ServerBean serverBean);

	/**
	 * 删除库表信息
	 * 
	 * @param id
	 * @return
	 */
	public boolean delete(List<String> id);

	/**
	 * 渠道信息
	 * 
	 * @return
	 */
	public List<Channel> findChannels();

	/**
	 * 分页获取渠道信息
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	public List<Channel> findAllChannels(int pageNo, int pageSize);

	/**
	 * 插入渠道信
	 * 
	 * @param channels
	 */
	public void insertChannels(Channel channels);

	/**
	 * 更新渠道信息
	 * 
	 * @param channel
	 * @return
	 */
	public boolean updateChannel(Channel channel);

	/**
	 * 删除渠道信息
	 * 
	 * @param id
	 * @return
	 */
	public boolean deleteChannel(List<String> id);

	/**
	 * 获取库表数据根据库名
	 * 
	 * @param dbName
	 * @return
	 */
	public int findServerCount(String dbName);

	/**
	 * 获取渠道数量
	 * 
	 * @return
	 */
	public int findChannelsCount();

	/**
	 * 获取所有的渠道
	 * 
	 * @return
	 */
	public List<Channel> findDisChannels();

	/**
	 * 获取渠道名
	 * 
	 * @return
	 */
	public List<String> findDisChan();

	public ServerBean findServerBean(String pt);

}
